htslib (1.19+ds-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:25:58 +0000

htslib (1.19+ds-1.1build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:59:31 +0000

htslib (1.19+ds-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:12:45 +0000

htslib (1.19+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062344

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 10:41:39 +0000

htslib (1.19+ds-1) unstable; urgency=medium

  * Migrate htslib 1.19 from experimental to unstable.

 -- Étienne Mollier <emollier@debian.org>  Sat, 17 Feb 2024 11:42:52 +0100

htslib (1.19+ds-0+exp0) experimental; urgency=medium

  * New upstream version 1.19+ds
  * fix_float_precision: refresh patch.
  * fix_sequence_of_linked_libs: refresh patch.
  * trim-file-prefix.patch: refresh.
  * d/libhts3.symbols: remove a recorded symbol(!)
    bgzf_idx_amend_last was recorded by accident and is not part of the
    internals of the htslib anymore.  Reverse dependencies had no way of
    using this function by accident, as it is not part of the public API,
    and preliminary tests against reverse dependencies show no regressions
    seemingly related to the missing symbol.
  * reinject-bgzf_idx_amend_last.patch: unapplied new.
    This patch is kept handy to reintroduce missing bgzf_idx_amend_last
    symbol if need be, but it is not applied yet.

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Dec 2023 22:25:33 +0100

htslib (1.18+ds-1) unstable; urgency=medium

  * Migrate htslib 1.18 from experimental to unstable.

 -- Étienne Mollier <emollier@debian.org>  Tue, 07 Nov 2023 19:46:30 +0100

htslib (1.18+ds-0+exp1) experimental; urgency=medium

  * New upstream version 1.18+ds
  * testShebang.patch: refresh.
  * fix_float_precision: refresh patch.
  * cram_to_bam_export.patch: refresh.
  * fix_sequence_of_linked_libs.patch: refresh.
  * trim-file-prefix.patch: refresh.
  * fix-cram-external-header.patch: remove: applied upstream.
  * fix-whatis-entry.patch: remove: applied upstream.
  * debian/*.symbols*: introduce new symbols.
  * d/copyright: update upstream copyright year.

 -- Étienne Mollier <emollier@debian.org>  Wed, 23 Aug 2023 18:42:10 +0200

htslib (1.17+ds-1) unstable; urgency=medium

  * Migrate htslib to unstable.
  * d/control: declare libhts3 breaks samtools < 1.17.

 -- Étienne Mollier <emollier@debian.org>  Thu, 22 Jun 2023 22:21:42 +0200

htslib (1.17+ds-0+exp1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * d/control: fix indentation in build dependencies
  * d/control: clear fields with obsolete packages
  * Patches triage:
    - no_git_version patch: forwarding not-needed
    - fPIC.patch: unfuzz
    - cram_to_bam_export.patch: unfuzz
    - fix_sequence_of_linked_libs.patch: unfuzz
    - trim-file-prefix.patch: refresh
  * fix-cram-external-header.patch: new patch.
    This fixes a FTBFS caused by a typo in the source code.
  * d/libhts3.symbols: update symbols table.
    Upstream is now tracking symbols versioning.  The change is large with
    numerous missing entries, but that is because of the "@Base" being
    replaced by the versioned "@HTSLIB_*" entries.
  * d/t/run-unit-test: copy htslib.map.
    This file is needed for one of the linking tests done during the
    autopkgtest run, otherwise it fails.
  * fix-whatis-entry.patch: new patch.
    This change fixes a bad whatis(1) entry caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Sun, 11 Jun 2023 20:10:19 +0200

htslib (1.16+ds-3) unstable; urgency=medium

  * d/rules: make sure libdir and plugindir are defined.
    Thanks to James Bonfield
  * d/libhts3.install: relocate plugins following fix at configure step.
  * d/*.install: remove dh-exec shebang.
  * d/control: remove build-dependency to dh-exec.
  * disable_plugin_loading_test.patch: remove; test is supposed to pass.
  * d/rules: do not erase LDFLAGS; fix the aforementioned test failure
    by restoring -rdynamic flag supposed to be passed to the linker.
  * d/patches/: remove unused patches.
  * trim-file-prefix.patch: add; improve reproducible build.

 -- Étienne Mollier <emollier@debian.org>  Wed, 19 Oct 2022 22:25:57 +0200

htslib (1.16+ds-2) unstable; urgency=medium

  * Team Upload.
  * Copy htslib.pc.in also to AUTOPKGTEST_TMP
  * Pass correct upstream version so as to not get the +ds
    non-sense in SOVERSIONS

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Oct 2022 11:01:03 +0530

htslib (1.16+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Fix lintian-overrides
  * Fix build options to make sure symbols will remain in library

 -- Andreas Tille <tille@debian.org>  Fri, 30 Sep 2022 11:23:39 +0200

htslib (1.14+ds-1~exp1) experimental; urgency=medium

  * New upstream version
  * Remove constraints unnecessary since buster:
    + libhts3: Drop versioned constraint on python3-pysam in Breaks.

 -- Andreas Tille <tille@debian.org>  Tue, 07 Dec 2021 08:28:36 +0100

htslib (1.13+ds-2) unstable; urgency=medium

  * d/control: add myself to uploaders
  * d/control: libhts-dev breaks samtools (<< 1.13~)
  * d/control: refresh libhts-dev Breaks+Replaces
  * d/control: libhts-dev breaks ivar (<< 1.3.1~)

 -- Étienne Mollier <emollier@debian.org>  Fri, 27 Aug 2021 22:02:59 +0200

htslib (1.13+ds-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * added libhtscodecs-dev as build-dependency
  * remove htscodecs folder from source tree (following advice
    by John Marshall - many thanks!)
  * Builds fine with autoconf > 2.71 (Closes: #978835).

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Do not parse d/changelog (routine-update)
  * Remove constraints unnecessary since buster:
    + libhts3: Drop versioned constraint on python-pysam in Breaks.

 -- Andreas Tille <tille@debian.org>  Thu, 26 Aug 2021 18:33:04 +0200

htslib (1.11-4) unstable; urgency=medium

  * libhts3: Breaks+Replaces: libhts-dev (<< 1.11-3). Closes: #978094

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 02 Jan 2021 16:28:22 +0100

htslib (1.11-3) unstable; urgency=medium

  [ Andreas Tille ]
  * No need to patch when using proper configure options
  * Install man5 as user rather than developer documentation
  * Fix description of tabix package
    Closes: #922860
  * Standards-Version: 4.5.1 (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Somehow installation of htslib dir has changed

  [ Michael R. Crusoe ]
  * debian/upstream/metadata: add new pre-print

 -- Andreas Tille <tille@debian.org>  Thu, 24 Dec 2020 10:34:35 +0100

htslib (1.11-2) unstable; urgency=medium

  * Enable plugins
    Closes: #971542
  * Add missing Depends: libcurl4-gnutls-dev, libdeflate-dev
  * Fix run-unit-test script
  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 05 Oct 2020 09:30:04 +0200

htslib (1.11-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 01 Oct 2020 15:29:49 +0200

htslib (1.10.2-5) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Remove default debian/gbp.conf
  * Install bgzip.1 manpage
  * Workaround issue with dh_missing

 -- Andreas Tille <tille@debian.org>  Mon, 03 Aug 2020 13:19:08 +0200

htslib (1.10.2-4) unstable; urgency=medium

  * d/control: Added Rules-Requires-Root: no
  * Exported cram_to_bam function to compile sambamba, borrowed from
    http://git.genenetwork.org/guix-bioinformatics/guix-bioinformatics
    htslib-add-cram_to_bam.patch

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Jul 2020 14:04:35 +0200

htslib (1.10.2-3) unstable; urgency=medium

  [ Andreas Tille ]
  * d/copyright: Add Upstream-Contact

  [ Michael R. Crusoe ]
  * Patch from upstream for big-endian systems. Closes: #947462
  * Mark htslib-tests as Multi-Arch: foreign
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * add Build-Depends-Package: libhts-dev to debian/libhts3.symbols
  * debian/rules: add hack to autoconf not forget MMAP with cross building
  * pass the same flags to test and install as build
  * debian/rules: match upstream's default flags
  * debian/libhts3.symbols: remove erronously exported symbols

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 13 Feb 2020 19:25:04 +0100

htslib (1.10.2-2) unstable; urgency=medium

  * htslib-test: breaks+replaces libhts-private-dev
  * libhts3: breaks libtabixpp << 1.0.0-5

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 21 Dec 2019 14:15:05 -0700

htslib (1.10.2-1) unstable; urgency=medium

  * New upstream version
  * debian/source/options: ignore changes to aclocal.m4 config.h.in configure
  * debian/control: remove libhts-private-dev (Closes: #947066)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 20 Dec 2019 09:57:05 -0800

htslib (1.10.1-2) unstable; urgency=medium

  * Fix binary-arch vs binary-indep builds

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 18 Dec 2019 12:54:51 +0100

htslib (1.10.1-1) unstable; urgency=medium

  * New upstream version
  * for some very strange reason /usr/include/htslib/cram/cram.h is using the
    private interface header.h.  This is provided now in the
    libhts-private-dev package rather than htslib-test
  * debhelper-compat 12
  * DEB_BUILD_OPTIONS allow override_dh_auto_test
  * Remove trailing whitespace in debian/rules
  * More verbose error reporting in case of failed tests
  * Fix Perl interpreter path
  * Fix permissions of script

 -- Andreas Tille <tille@debian.org>  Tue, 17 Dec 2019 14:38:13 +0100

htslib (1.10-2) unstable; urgency=medium

  * Fix check for config.mk.
  * Simplified arch-independent build
  * libhts2 -> libhts3 to match the new SONAME
  * Update the symbols as well

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Dec 2019 11:04:33 +0100

htslib (1.10-1) unstable; urgency=medium

  * New upstream release.
  * Remove build path from packaged config.mk to make the build more reproducible.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 09 Dec 2019 19:40:15 +0100

htslib (1.9-12) unstable; urgency=medium

  * Fix for the autopkgtest on i386 means we can re-enable it! (Closes: #942580)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 09 Dec 2019 19:06:02 +0100

htslib (1.9-11) unstable; urgency=medium

  * Install README at request of upstream
  * Stop building on any-i386
    Closes: #927353

 -- Andreas Tille <tille@debian.org>  Wed, 24 Apr 2019 08:51:48 +0200

htslib (1.9-10) unstable; urgency=medium

  * Bring the libdeflate, GCS, and S3 updates back to unstable.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 16 Jan 2019 05:23:22 -0800

htslib (1.9-10~1libdeflate) experimental; urgency=medium

  * Enable GCS and AWS S3 backends.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 16 Jan 2019 00:27:21 -0800

htslib (1.9-10~0libdeflate) experimental; urgency=medium

  * Try libdeflate again.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 15 Jan 2019 07:01:58 -0800

htslib (1.9-9) unstable; urgency=medium

  * Bring the ppc64el & i386 pkg-config enhancements to unstable.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 15 Jan 2019 06:13:44 -0800

htslib (1.9-9~floatingpoint0) experimental; urgency=low

  * add SSE flags for i386 to the pkg-config.
  * Try the ppc64el targeted floating point patch again & re-enable -O2

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 02 Jan 2019 06:34:33 -0800

htslib (1.9-8) unstable; urgency=medium

  * Disable optimization on ppc64el to unblock this and many other packages
    migration to testing.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 31 Dec 2018 07:08:13 -0800

htslib (1.9-7) unstable; urgency=medium

  * Bring i386 build enhancements to unstable.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 19 Dec 2018 07:30:24 -0800

htslib (1.9-7~1~i386~1) experimental; urgency=medium

  * Turn on SSE for i386, as suggested at
    https://github.com/samtools/htslib/issues/565#issuecomment-448028771

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 18 Dec 2018 00:27:40 -0800

htslib (1.9-7~0~i386~gcc7~1) experimental; urgency=medium

  * Try dropping to gcc-7 on i386*

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 10 Dec 2018 18:02:16 -0800

htslib (1.9-6) unstable; urgency=medium

  * Revert libdeflate for DEFLATE based (de)compression and its crc32
    implementation.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 05 Dec 2018 22:59:23 -0800

htslib (1.9-5) unstable; urgency=medium

  * Add libdeflate for DEFLATE based (de)compression and its crc32
    implementation.
  * Re-add mipsel to tabix & libhts-dev as well. (Closes: #915404)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 04 Dec 2018 20:56:12 -0800

htslib (1.9-4) unstable; urgency=medium

  * Add Breaks: python-pysam (<< 0.15~), python3-pysam (<< 0.15~)
    (Thanks to Graham Inggs <ginggs@debian.org>)
    Closes: #911492

 -- Andreas Tille <tille@debian.org>  Sun, 02 Dec 2018 07:54:46 +0100

htslib (1.9-3) unstable; urgency=medium

  * debian/control: drop *i386. Closes: #905438.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 14 Oct 2018 09:53:04 -0700

htslib (1.9-2) unstable; urgency=medium

  * Depends: zlib1g-dev
    Closes: #908501
  * Remove unused lintian overrides
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 12 Sep 2018 21:22:18 +0200

htslib (1.9-1) experimental; urgency=medium

  * Team upload.

  * New upstream version. Some symbols were added, others were removed:
    - cram_to_bam was removed
    - fai_build_core was removed
  * Updated symbols list
  * Introduced -flto

 -- Steffen Moeller <moeller@debian.org>  Thu, 26 Jul 2018 18:54:12 +0200

htslib (1.8-1) experimental; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Fix symbols file.
    Note: version 1.8 drops symbol cram_nop_decode_reset without bumping
    soversion but this should be no issue according to upstream
    (https://github.com/samtools/htslib/issues/695)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Apr 2018 17:16:43 +0200

htslib (1.7-2) unstable; urgency=medium

  * Move all needed files into htslib-test package
    Closes: #890303
  * Document how to test the package
  * Update symbols file

 -- Andreas Tille <tille@debian.org>  Wed, 14 Feb 2018 13:13:18 +0100

htslib (1.7-1) unstable; urgency=medium

  * Team upload.

  * New upstream version.
  * Standards-Version: 4.1.3

  * win/* files no longer in upstream source tree, affecting -test package

 -- Steffen Moeller <moeller@debian.org>  Mon, 12 Feb 2018 18:59:19 +0100

htslib (1.6-4) unstable; urgency=medium

  * Fix autopkgtest: Ship new files win/rand.c and win/rand.h
    in htslib-test (Closes: #866137)

 -- Graham Inggs <ginggs@debian.org>  Thu, 21 Dec 2017 15:03:36 +0000

htslib (1.6-3) unstable; urgency=medium

  * Ship a copy of cram headers in htslib-test instead of
    using symlinks (Closes: #866137)
  * Fix autopkgtest on i386 with GCC 7, see #881149

 -- Graham Inggs <ginggs@debian.org>  Wed, 20 Dec 2017 14:53:46 +0000

htslib (1.6-2) unstable; urgency=medium

  * Fix version of new symbols
  * Remove links that were provided to enable build of previous versions
    of bcftools but are not needed any more
  * Remove tabix dependency which was provided to enable build of a
    previous version of bcftools
  * Make sure no remainings of build time test will occur in test data
    package
  * Add missing override

 -- Andreas Tille <tille@debian.org>  Thu, 14 Dec 2017 15:37:03 +0100

htslib (1.6-1) experimental; urgency=medium

  * New upstream version
  * Switch to default Debian Med repository layout
  * Remove debian/patches/literal_version.patch since upstream stops
    running make to get the version number
  * Update symbols file

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2017 14:26:11 +0100

htslib (1.5-6) unstable; urgency=medium

  * Do not install htslib*.mk fragments
    Closes: #881360

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2017 13:58:23 +0100

htslib (1.5-5) unstable; urgency=medium

  [ Graham Inggs ]
  * Extend i386 fix to hurd and kfreebsd

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass --host to ./configure
    Closes: #879885

  [ Andreas Tille ]
  * Fix issues with private cram headers
     - Provide cram headers in separate package libhts-private-dev.install
       Closes: #881170
     - Deactivate fix_pkg-config.patch
       Closes: #881359
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Sun, 10 Dec 2017 09:00:27 +0100

htslib (1.5-4) unstable; urgency=medium

  * Fix build on i386 (Thanks to Graham Inggs <ginggs@debian.org>)
    Closes: #881149

 -- Andreas Tille <tille@debian.org>  Mon, 20 Nov 2017 22:42:09 +0100

htslib (1.5-3) unstable; urgency=medium

  * Team upload

  [ Diane Trout ]
  * Restore libhts2.symbols and update for changes from 1.4.1 and 1.5
    versions of htslib. (Closes: #879886)

  [ Graham Inggs ]
  * Update 877670.patch as it was applied upstream

 -- Diane Trout <diane@ghic.org>  Fri, 10 Nov 2017 12:38:12 +0100

htslib (1.5-2) unstable; urgency=medium

  * Apply patch provided by Graham Inggs <ginggs@debian.org> to fix FTBFS
    on armel armhf and ppc64el of bcftools
    Closes: #877670
  * Standards-Version: 4.1.1
 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2017 08:24:26 +0100

htslib (1.5-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.0.0 (no changes needed)
  * do not parse d/changelog explicitly
  * hardening=+all
  * install htslib*.mk files that are used in bcftools

  [ Steffen Moeller ]
  * [upstream/metadata] Added reference to OMICtools

  [ Matthias Klumpp ]
  * libhts-dev: Depend on missing liblzma-dev
  * Wrap and sort

 -- Matthias Klumpp <mak@debian.org>  Thu, 03 Aug 2017 22:56:42 -0400

htslib (1.4.1-5) unstable; urgency=medium

  * Team upload
  * Dereference symlinks to fix autopkgtest (Closes: #866137)

 -- Graham Inggs <ginggs@debian.org>  Wed, 19 Jul 2017 10:37:52 +0200

htslib (1.4.1-4) unstable; urgency=medium

  * Team upload
  * Fix FTBFS on s390x and sparc64, thanks Adrian Bunk (Closes: #865010)

 -- Graham Inggs <ginggs@debian.org>  Tue, 18 Jul 2017 00:49:30 +0200

htslib (1.4.1-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on i386. Thanks to Adrian Bunk for the patch.
    Closes: #865012

 -- Sascha Steinbiss <satta@debian.org>  Mon, 17 Jul 2017 18:25:56 +0200

htslib (1.4.1-2) unstable; urgency=medium

  * Create symlinks only for arch=indep target when target dir exists
    Closes: #864979

 -- Andreas Tille <tille@debian.org>  Sun, 18 Jun 2017 14:19:22 +0200

htslib (1.4.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 18 Jun 2017 00:17:35 +0200

htslib (1.4-3) experimental; urgency=medium

  * add the cram_to_bam function to the public interface of htslib because
    it is used by code in Sambamba

 -- Andreas Tille <tille@debian.org>  Thu, 04 May 2017 10:57:31 +0200

htslib (1.4-2) experimental; urgency=medium

  * Include htsfile binary into tabix package since its used by manta
    package

 -- Andreas Tille <tille@debian.org>  Tue, 02 May 2017 15:42:11 +0200

htslib (1.4-1) experimental; urgency=medium

  * New upstream version
  * Drop autoconf from Build-Depends
  * Add libbz2-dev and liblzma-dev to Build-Depends
  * Remove binary files from test results
  * Remove symbols file
  * Change library name to match soname

 -- Andreas Tille <tille@debian.org>  Tue, 21 Mar 2017 17:44:03 +0100

htslib (1.3.2-3) experimental; urgency=medium

  * Install header files from cram dir in -dev package since these are
    used in libseqlib
  * Fix pkg-config

 -- Andreas Tille <tille@debian.org>  Fri, 10 Feb 2017 08:46:29 +0100

htslib (1.3.2-2) unstable; urgency=medium

  * Add build-essential and @builddeps@ to autopkgtest
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jan 2017 19:23:52 +0100

htslib (1.3.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2016 12:58:19 +0100

htslib (1.3.1-3) unstable; urgency=medium

  * Fix build on hurd (thanks for the patch to Svante Signell
    <svante.signell@gmail.com>)
    Closes: #836190
  * Add myself to uploaders

 -- Andreas Tille <tille@debian.org>  Thu, 01 Sep 2016 10:01:23 +0200

htslib (1.3.1-2) unstable; urgency=medium

  [ Canberk Koç ]
  * Team upload.
  * Autopktest added

  [ Andreas Tille ]
  * hardening=+bindnow

 -- Canberk Koç <canberkkoc@gmail.com>  Wed, 03 Aug 2016 04:21:17 +0300

htslib (1.3.1-1) unstable; urgency=medium

  36bf59a Merge tag '1.3.1' into debian/unstable
  559f8b4 Remove add_largefile.patch, applied upstream.
  7163afb Update symbols file. Missing _vcf_parse_format@Base and fai_read@Base.
  c2c1df3 Build-depend on libcurl4-gnutls-dev and libssl-dev.
  3b219b8 Enable libcurl.
  9101580 Conforms to the Policy version 3.9.8.

 -- Charles Plessy <plessy@debian.org>  Mon, 25 Apr 2016 22:28:11 +0900

htslib (1.3-2) unstable; urgency=medium

  * Team upload

  [ Steffen Moeller and Jon Ison ]
  * Introduction of EDAM annotation

  [ Sascha Steinbiss ]
  * Include upstream patch for large file support
  * Run configure as part of the build

 -- Sascha Steinbiss <sascha@steinbiss.name>  Mon, 08 Feb 2016 16:46:35 +0000

htslib (1.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Ignore metadata files different between git and tarball

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 30 Jan 2016 12:16:06 +0000

htslib (1.2.1-2) unstable; urgency=medium

  * Team upload
  * Enable build on hurd-i386
    Closes: #793512
  * More verbose description vor -dev and -test package
  * Fix lintian override
  * Verified Mayhem bug report which is solved in this version
    Closes: #716376

 -- Andreas Tille <tille@debian.org>  Wed, 09 Dec 2015 17:00:47 +0100

htslib (1.2.1-1) unstable; urgency=medium

  0662716 Merge tag '1.2.1' into debian/unstable
  084f27d Install NEWS as upstream changelog.
  316fb96 Override a Lintian false positive.
  3363679 Clean test directory.
  69bf167 Corrected a typo in tabix description.

 -- Charles Plessy <plessy@debian.org>  Mon, 25 May 2015 13:35:03 +0900

htslib (1.1-1) unstable; urgency=medium

  1357fbd Merge tag '1.1' into debian/unstable
  87549cd Updated symbols file.  One symbol is missing.
  873ea9b Removed orphan paragraph in machine-readable copyright file.
  49de2b9 Allow parallel build.
  7fe3bb5 Normalise control file (VCS-Browser, Pre-Depends).
  0e5e9e6 Conforms to Policy 3.9.6.

 -- Charles Plessy <plessy@debian.org>  Wed, 24 Sep 2014 21:24:11 +0900

htslib (1.0-2) unstable; urgency=medium

  Uploaded to unstable (see previous changelog from experimental).

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Sep 2014 20:27:04 +0900

htslib (1.0-1) experimental; urgency=low

  cc559b8 Merged with upstream's master branch.
  74b9d7b Build on the master branch.
  04815a7 New major version (libhts0 -> libhts1).
  98c18ca Updated symbols file.
  22fef0c Install pkgconfig file.
  420896b Override PACKAGE_VERSION to avoid tags with a slash in the name.
  79b5d4e Use the Debian package version as PACKAGE_VERSION.
  72b5c4a Finally use the 3.0 (quilt) format in single-debian-patch mode.
  d870946 Adjusted substitution variables following dpkg's warnings.
  9469458 Removed debug command accidentally introduced.
  8c7f7d4 Replace the old tabix package from the tabix source package.

 -- Charles Plessy <plessy@debian.org>  Sun, 17 Aug 2014 20:12:28 +0900

htslib (0.2.0~rc3-1) unstable; urgency=low

  * Initial release. (Closes: #729282)

 -- Charles Plessy <plessy@debian.org>  Sat, 16 Nov 2013 15:35:03 +0900
